# Uses of Interface
org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.IDifferenceGroupProvider

Packages that use IDifferenceGroupProvider
Package
Description
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider
org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl
org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.provider
org.eclipse.emf.compare.rcp.ui.internal.util
org.eclipse.emf.compare.rcp.ui.mergeviewer.item
org.eclipse.emf.compare.rcp.ui.mergeviewer.item.provider
org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups

## Uses of IDifferenceGroupProvider in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer

Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer that return IDifferenceGroupProvider
Modifier and Type
Method
Description
`protected final IDifferenceGroupProvider`
EMFCompareContentMergeViewer.`getDifferenceGroupProvider()`

## Uses of IDifferenceGroupProvider in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider

Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider that return IDifferenceGroupProvider
Modifier and Type
Method
Description
`IDifferenceGroupProvider`
MergeViewerItemProviderConfiguration.`getDifferenceGroupProvider()`
Get the `IDifferenceGroupProvider`.
Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider with parameters of type IDifferenceGroupProvider
Modifier and Type
Method
Description
`protected com.google.common.base.Predicate<Diff>`
TreeMergeViewerItemContentProvider.`visibleInMergeViewerPredicate(com.google.common.base.Predicate<? super EObject> predicate, IDifferenceGroupProvider groupProvider)`
Predicate for checking if the given `diff` is visible in the merge viewer.
Constructors in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.provider with parameters of type IDifferenceGroupProvider
Modifier
Constructor
Description
``
`MergeViewerItemProviderConfiguration(AdapterFactory adapterFactory, IDifferenceGroupProvider groupProvider, com.google.common.base.Predicate<? super EObject> predicate, Comparison comparison, IMergeViewer.MergeViewerSide side)`
Constructor.

## Uses of IDifferenceGroupProvider in org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl

Methods in org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl that return IDifferenceGroupProvider
Modifier and Type
Method
Description
`IDifferenceGroupProvider`
AbstractMergeViewer.`getDifferenceGroupProvider()`
Returns the difference group provider selected in the UI.

## Uses of IDifferenceGroupProvider in org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl

Methods in org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl with parameters of type IDifferenceGroupProvider
Modifier and Type
Method
Description
`protected List<? extends Diff>`
MergeViewerItem.`filteredDiffs(Iterable<? extends Diff> unfilteredDiffs, com.google.common.base.Predicate<? super EObject> predicate, IDifferenceGroupProvider groupProvider)`
Deprecated.
`IMergeViewerItem[]`
MergeViewerItem.Container.`getChildren(IDifferenceGroupProvider group, com.google.common.base.Predicate<? super EObject> predicate)`
Deprecated.
Returns the children of this container.
`IMergeViewerItem[]`
ResourceAttachmentChangeMergeViewerItem.`getChildren(IDifferenceGroupProvider group, com.google.common.base.Predicate<? super EObject> filters)`
Returns the children of this container.
`boolean`
MergeViewerItem.Container.`hasChildren(IDifferenceGroupProvider groupProvider, com.google.common.base.Predicate<? super EObject> predicate)`
Deprecated.
Returns whether this container has at least one child.
`boolean`
ResourceAttachmentChangeMergeViewerItem.`hasChildren(IDifferenceGroupProvider groupProvider, com.google.common.base.Predicate<? super EObject> predicate)`
Returns whether this container has at least one child.
`protected com.google.common.base.Predicate<Diff>`
MergeViewerItem.`visibleInMergeViewer(com.google.common.base.Predicate<? super EObject> predicate, IDifferenceGroupProvider groupProvider)`
Deprecated.

## Uses of IDifferenceGroupProvider in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions

Constructors in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions with parameters of type IDifferenceGroupProvider
Modifier
Constructor
Description
``
`GroupAction(StructureMergeViewerGrouper structureMergeViewerGrouper, IDifferenceGroupProvider.Descriptor dgp, IDifferenceGroupProvider gp, DifferenceGroupManager groupManager, boolean isThreeWay)`
Instantiates our action given its target grouper.

## Uses of IDifferenceGroupProvider in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups

Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups that return IDifferenceGroupProvider
Modifier and Type
Method
Description
`IDifferenceGroupProvider`
StructureMergeViewerGrouper.`getProvider()`
Get the `IDifferenceGroupProvider` associated to this StructureMergeViewerGrouper.
Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups with parameters of type IDifferenceGroupProvider
Modifier and Type
Method
Description
`protected void`
StructureMergeViewerGrouper.`registerDifferenceGroupProvider(Notifier notifier, IDifferenceGroupProvider groupProvider)`
Registers the selected IDifferenceGroupProvider to the given Notifier.
`void`
StructureMergeViewerGrouper.`setProvider(IDifferenceGroupProvider provider)`
Sets the instance that will provide the groups to be displayed in the structural differences view.

## Uses of IDifferenceGroupProvider in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

Classes in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl that implement IDifferenceGroupProvider
Modifier and Type
Class
Description
`class`
`ByResourceGroupProvider`
This implementation of a `IDifferenceGroupProvider` will be used to group the differences by their Resource.
`class`
`DefaultGroupProvider`
This implementation of a `IDifferenceGroupProvider` will be used as the default group provider.
`class`
`EmptyDifferenceGroupProvider`
An empty difference group provider.
`class`
`KindGroupProvider`
This implementation of a `IDifferenceGroupProvider` will be used to group the differences by their `kind` : additions, deletions, changes and moves.
`class`
`ThreeWayComparisonGroupProvider`
This implementation of a `IDifferenceGroupProvider` will be used to group the differences by their `side` : left, right and conflicts.
Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl that return IDifferenceGroupProvider
Modifier and Type
Method
Description
`IDifferenceGroupProvider`
DifferenceGroupDescriptorWrapper.`createGroupProvider()`
Creates a group provider.
`IDifferenceGroupProvider`
DifferenceGroupProviderChange.`getDifferenceGroupProvider()`
Returns the selected `IDifferenceGroupProviderChange`.
Constructors in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl with parameters of type IDifferenceGroupProvider
Modifier
Constructor
Description
``
`DifferenceGroupProviderChange(IDifferenceGroupProvider differenceGroupProvider)`
Default constructor.

## Uses of IDifferenceGroupProvider in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.provider

Methods in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.provider with parameters of type IDifferenceGroupProvider
Modifier and Type
Method
Description
`protected void`
TreeNodeItemProviderSpec.`initMapping(Collection<? extends IDifferenceGroup> groups, IDifferenceGroupProvider groupProvider, TreeNode treeNode)`
Init the mapping.

## Uses of IDifferenceGroupProvider in org.eclipse.emf.compare.rcp.ui.internal.util

Methods in org.eclipse.emf.compare.rcp.ui.internal.util with parameters of type IDifferenceGroupProvider
Modifier and Type
Method
Description
`static boolean`
MergeViewerUtil.`isVisibleInMergeViewer(Diff diff, IDifferenceGroupProvider groupProvider, com.google.common.base.Predicate<? super EObject> predicate)`
Returns true if the given diff is displayed in an group as provided by the `groupProvider` and not filtered by the given filter `predicate`.

## Uses of IDifferenceGroupProvider in org.eclipse.emf.compare.rcp.ui.mergeviewer.item

Methods in org.eclipse.emf.compare.rcp.ui.mergeviewer.item with parameters of type IDifferenceGroupProvider
Modifier and Type
Method
Description
`IMergeViewerItem[]`
IMergeViewerItem.Container.`getChildren(IDifferenceGroupProvider group, com.google.common.base.Predicate<? super EObject> predicate)`
Deprecated.
Returns the children of this container.
`boolean`
IMergeViewerItem.Container.`hasChildren(IDifferenceGroupProvider group, com.google.common.base.Predicate<? super EObject> predicate)`
Deprecated.
Returns whether this container has at least one child.

## Uses of IDifferenceGroupProvider in org.eclipse.emf.compare.rcp.ui.mergeviewer.item.provider

Methods in org.eclipse.emf.compare.rcp.ui.mergeviewer.item.provider that return IDifferenceGroupProvider
Modifier and Type
Method
Description
`IDifferenceGroupProvider`
IMergeViewerItemProviderConfiguration.`getDifferenceGroupProvider()`
Get the `IDifferenceGroupProvider`.

## Uses of IDifferenceGroupProvider in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups

Subinterfaces of IDifferenceGroupProvider in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups
Modifier and Type
Interface
Description
`interface`
`IDifferenceGroupProvider2`
Extended interface of `IDifferenceGroupProvider` that gives information on the building status of its groups.
Classes in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups that implement IDifferenceGroupProvider
Modifier and Type
Class
Description
`class`
`AbstractDifferenceGroupProvider`
Abstract implementation of `IDifferenceGroupProvider`.
Methods in org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups that return IDifferenceGroupProvider
Modifier and Type
Method
Description
`IDifferenceGroupProvider`
IDifferenceGroupProvider.Descriptor.`createGroupProvider()`
Creates a group provider.
`IDifferenceGroupProvider`
IDifferenceGroupProviderChange.`getDifferenceGroupProvider()`
Returns the selected `IDifferenceGroupProviderChange`.